* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  #cursor {
    position: fixed;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: white;
    pointer-events: none; /* Allow clicks through the cursor */
    z-index: 9999; /* puts cursor above everything */
  }
  html, body {
    height: 100%;
    font-family: 'Helvetica Neue', sans-serif;
    background-color: black;
    color: white;
    overflow-x: hidden;
  }
  #Headline1 {
    font-size: 5vw; /* Helps for flexibility */ 
    font-weight: bold;
    position: absolute;
    left:20%;
    font-weight: bold;
    z-index: 5;
    text-align: center;
  }
  #Headline2 {
    font-size: 8vw;
    font-weight: bold;
    padding: 0 0 2% 5%;
    position: absolute;
    bottom: 10px;
    left: 30%;
    transform: translateX(-50%); /* Allow for text to be partially over image */
    font-weight: bold;
    z-index: 5; /* Allow for text to be over image */
    text-align: center;
  }
  #Headline3 {
    font-size: 6vw;
    font-weight: bold;
    padding: 5% 0 5% 0;

  }
  #rectangle {
    height: 7vw;
    width: 50vw;
    background-color: rgb(61, 61, 61);
    text-align: left;
    position: absolute;
    bottom: 10px;
    transform: translateX(-50%);
    z-index: 4;
  }
  .body-text {
    font-size: 1.6em;
    line-height: 1.4;
    text-align: center;
    padding: 0 10% 5% 10%;
  }
  /* Hero Section */
  .hero {
    position: relative;
    height: 100vh;
    overflow: hidden; /* Allow for the overflow content to be hiden to stop scroll sideways */
  }
  .hero-background-video {
    position: absolute; 
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;
  }
  .hero-background-video video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
  }
  .grad{
    background:linear-gradient(rgba(255, 255, 255, 0.0) 0%, rgba(128, 128, 128, 0) 40%, rgb(0, 0, 0) 100%); /* creates gradient from hero to backgroun */ 
    position: absolute;
    top:0;
    left:0;
    z-index: 40;
    width: 100vw;
    height: 100vh;
  }
  .logo {
    position: absolute;
    top: 20px;
    left: 20px;
    z-index: 50;
    max-width: 150px;
  }
  
  .logo img {
    width: 100%;
  }
  
  .hero-content {
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    z-index: 50;
  }
  
  .hero-content h1 {
    font-size: 2rem;
    letter-spacing: 2px;
    margin-bottom: 1rem;
  }
  
  .watch-button {
    padding: 0.7rem 1.5rem;
    border: 1px solid white;
    color: white;
    text-decoration: none;
    margin-bottom: 3rem;
    transition: background-color 0.3s ease, color 0.3s ease; /* changes background on hover */
  }
  
  .watch-button:hover { /* changes background on hover */
    background: white;
    color: black;
  }
  
  .social-icons {
    position: absolute;
    bottom: 20px;
    display: flex;
    gap: 15px;
  }
  
  .social-icons img {
    width: 24px;
    height: 24px;
  }
  #Services {
    display: flex;
    height: 50vh;
    padding-left: 1.5%;
    padding-right: 0%;
  }
  .vid-hover {
    position: relative;
    top: 20%;
  }
  .vid-hover video {
    height: 15vw; /* adjust as needed */
    opacity: 0;
    z-index: 4;
    position: absolute;
    top:15%;
    left: 5%;
    bottom:10%;
    right:10%;
  }
  .vid-hover img {
    z-index: 1;
    height:20vw;
    padding: 10% 1% 5% 0%;
  }
  
  .vid-hover .play {
    opacity: 0;
    pointer-events: none;    
  }
  
  .vid-hover:hover .play {
    opacity: 1; /* shows video on hover */
  }
  
  .vid-hover:hover video {
    opacity: 1; /* shows video on hover */
  }
  .vid-hover:hover img {
    opacity: 0; /* hides image on hover */
  }
  .topo {
    background-image: url(images/TopoGrey.jpeg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 1;
    opacity: 100%;
  }
  #Hero2 {
    width: 100%;
    text-align: right;
    border-radius: 8px;
    padding-left: 40%;
    filter: brightness(50%); /* makes hero image less bright */ 
  }
  #Hero3 {
    width: 100%;
    text-align: center;
    border-radius: 8px;
    filter: brightness(50%);
    display: none;
  }
  #Ourwork {
    margin: 0 auto;
    position: relative;
  }
  #OurworkContent {
    position: relative;
    z-index: 2;
    padding: 20px;
    display: inline-block;
  }

  /* Masonry Grid */
  .masonry-grid {
    column-count: 4;
    column-gap: 1rem;
    padding: 8rem 2rem 4rem 2rem;
    width: 100%;
  }
  
  .masonry-grid img {
    width: 100%;
  
    margin-bottom: 1rem;
    margin-left: 10%;
    padding: 5% 5% 5% 5%;
    border-radius: 8px;
    animation: appear linear;
    animation-timeline: View(); /* Requires supported browsers */
    animation-range: entry 0 cover 30%;
    animation-delay: calc(var(--i) * 100ms);
  }
  #About {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5% 10% 10% 5%;
    gap: 1vw;
    flex-wrap: wrap;
  }
  #AboutTextContainer {
    flex: 1;
    min-width: 300px;
  }
  #AboutImageContainer {
  flex-shrink: 0;
  width: 250px;
  height: 250px;
  border-radius: 50%;
  overflow: hidden;
}
  #Aboutbody {
    font-size: 1.6em;
    line-height: 1.4;
    text-align: center;
    padding: 0 10% 0 0;
  }
  #AboutI {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  @keyframes appear {
    from {
      opacity: 0;
      transform: translateY(-200px); /* use translate for two values (x,y)*/
    }
    to {
      opacity: 1;
      transform: translateY(0px);
    }
  }
  /* ---------------768px----------------------*/
  @media screen and (max-width: 768px) {
  #AboutI {
    display: none;
  }
  #About {
    display: block;
  }
  #Aboutbody {
    padding: 0 0% 0 0;
  }
  #Headline3 {
    padding: 5% 0 5% 0;
    text-align: center;
  }
  .masonry-grid {
    column-count: 2;
  }
  #cursor {
    display: none;
  }
  .logo {
    opacity: 0;
  }
  #Services {
    flex-direction: column;
    padding: 0;
    margin: 0;
    width: 100vw;
    height: auto;
  }

  .vid-hover {
    width: 100vw;
    padding: 0;
    margin: 0;
    display: block;
    top: 0;
  }

  .vid-hover img,
  .vid-hover video {
    width: 100vw;
    height: auto;
    object-fit: cover;
    padding: 0;
    margin: 0;
    bottom: 0%;
    top: 0%;
    left: 0%;
    right: 0%;
  }

  #Headline1 {
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    margin: 1rem 0;
    font-size: 7vw;
  }
  #inlinevid {
    padding: 13% 0 0 0;
  }
  }

  /* ---------------360px----------------------*/
  @media screen and (max-width: 360px) {
  .hide-on-tablet{
    display: none;
  }
  .body-text {
    font-size: 1.0em;
    padding: 0 5% 5% 5%;
  }
  #Aboutbody {
    font-size: 1.0em;
    padding: 0 0% 0 0;
  }
  .masonry-grid {
    column-count: 1;
    padding: 8rem 4rem 4rem 0rem;
  }
  #inlinevid {
    padding: 19% 0 0 0;
  }
  #Hero2 {
    padding-left: 10%;
    width: 20%;
    opacity: 0%;
  }
  #Hero3 {
    display: block;
  }
  
  }
  